<?php
/**
 * @file
 * tokdesctst.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function tokdesctst_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_date_to_multi'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_date_to_multi'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'deleted' => 0,
    'description' => 'Multiple dates to dates help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
        ),
        'type' => 'date_default',
        'weight' => 4,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_date_to_multi',
    'label' => 'Multiple dates to dates',
    'required' => 1,
    'settings' => array(
      'default_value' => 'blank',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'm/d/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_popup',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_fieldcol_multi'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_fieldcol_multi'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple field collections help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'field_collection',
        'settings' => array(
          'add' => 'Add',
          'delete' => 'Delete',
          'description' => TRUE,
          'edit' => 'Edit',
          'view_mode' => 'full',
        ),
        'type' => 'field_collection_view',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_fieldcol_multi',
    'label' => 'Multiple field collections',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'field_collection',
      'settings' => array(),
      'type' => 'field_collection_embed',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_file'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_file'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'deleted' => 0,
    'description' => 'File help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'file',
        'settings' => array(),
        'type' => 'file_default',
        'weight' => 3,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_file',
    'label' => 'File',
    'required' => 1,
    'settings' => array(
      'description_field' => 0,
      'file_directory' => '',
      'file_extensions' => 'txt',
      'max_filesize' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'file',
      'settings' => array(
        'progress_indicator' => 'throbber',
      ),
      'type' => 'file_generic',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_integer_multi'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_integer_multi'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple integers help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_integer_multi',
    'label' => 'Multiple integers',
    'required' => 1,
    'settings' => array(
      'max' => 10,
      'min' => 1,
      'prefix' => 'Multiple integers prefix',
      'suffix' => 'Multiple integers suffix',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_list_bool'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_list_bool'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Boolean list help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 5,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_list_bool',
    'label' => 'Boolean list',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_list_text_check'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_list_text_check'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Text list checkboxes help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 6,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_list_text_check',
    'label' => 'Text list checkboxes',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_text'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol-field_tokdesctst_text'] = array(
    'bundle' => 'field_tokdesctst_fieldcol',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Text help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_text',
    'label' => 'Text',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 0,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_decimal'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_decimal'] = array(
    'bundle' => 'field_tokdesctst_fieldcol_multi',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Decimal help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_decimal',
    'label' => 'Decimal',
    'required' => 1,
    'settings' => array(
      'max' => 10,
      'min' => 1,
      'prefix' => 'Decimal prefix',
      'suffix' => 'Decimal suffix',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_image_multi'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_image_multi'] = array(
    'bundle' => 'field_tokdesctst_fieldcol_multi',
    'deleted' => 0,
    'description' => 'Multiple images help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_image_multi',
    'label' => 'Multiple images',
    'required' => 1,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => '',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_text_multi'
  $field_instances['field_collection_item-field_tokdesctst_fieldcol_multi-field_tokdesctst_text_multi'] = array(
    'bundle' => 'field_tokdesctst_fieldcol_multi',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple texts help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_tokdesctst_text_multi',
    'label' => 'Multiple texts',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_bool_radio'
  $field_instances['node-tokdesctst-field_tokdesctst_bool_radio'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Boolean list radio help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 17,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_bool_radio',
    'label' => 'Boolean list radio',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_date'
  $field_instances['node-tokdesctst-field_tokdesctst_date'] = array(
    'bundle' => 'tokdesctst',
    'deleted' => 0,
    'description' => 'Date help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
        ),
        'type' => 'date_default',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_date',
    'label' => 'Date',
    'required' => 1,
    'settings' => array(
      'default_value' => 'blank',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'Y-m-d H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_popup',
      'weight' => 14,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_decimal'
  $field_instances['node-tokdesctst-field_tokdesctst_decimal'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Decimal help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 3,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_decimal',
    'label' => 'Decimal',
    'required' => 1,
    'settings' => array(
      'max' => 10,
      'min' => 1,
      'prefix' => 'Decimal prefix',
      'suffix' => 'Decimal puffix',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_fieldcol'
  $field_instances['node-tokdesctst-field_tokdesctst_fieldcol'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Field collection help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'field_collection',
        'settings' => array(
          'add' => 'Add',
          'delete' => 'Delete',
          'description' => TRUE,
          'edit' => 'Edit',
          'view_mode' => 'full',
        ),
        'type' => 'field_collection_view',
        'weight' => 10,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_fieldcol',
    'label' => 'Field collection',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'field_collection',
      'settings' => array(),
      'type' => 'field_collection_embed',
      'weight' => 16,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_fieldcol_multi'
  $field_instances['node-tokdesctst-field_tokdesctst_fieldcol_multi'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple field collections help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'field_collection',
        'settings' => array(
          'add' => 'Add',
          'delete' => 'Delete',
          'description' => TRUE,
          'edit' => 'Edit',
          'view_mode' => 'full',
        ),
        'type' => 'field_collection_view',
        'weight' => 13,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_fieldcol_multi',
    'label' => 'Multiple \'field\' "collections"',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'field_collection',
      'settings' => array(),
      'type' => 'field_collection_embed',
      'weight' => 17,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_file'
  $field_instances['node-tokdesctst-field_tokdesctst_file'] = array(
    'bundle' => 'tokdesctst',
    'deleted' => 0,
    'description' => 'File help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'file',
        'settings' => array(),
        'type' => 'file_default',
        'weight' => 8,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_file',
    'label' => 'File',
    'required' => 1,
    'settings' => array(
      'description_field' => 0,
      'file_directory' => '',
      'file_extensions' => 'txt',
      'max_filesize' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'file',
      'settings' => array(
        'progress_indicator' => 'throbber',
      ),
      'type' => 'file_generic',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_file_multi'
  $field_instances['node-tokdesctst-field_tokdesctst_file_multi'] = array(
    'bundle' => 'tokdesctst',
    'deleted' => 0,
    'description' => 'Multiple files help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'file',
        'settings' => array(),
        'type' => 'file_default',
        'weight' => 16,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_file_multi',
    'label' => 'Multiple files',
    'required' => 1,
    'settings' => array(
      'description_field' => 0,
      'file_directory' => '',
      'file_extensions' => 'txt',
      'max_filesize' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'file',
      'settings' => array(
        'progress_indicator' => 'throbber',
      ),
      'type' => 'file_generic',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_image'
  $field_instances['node-tokdesctst-field_tokdesctst_image'] = array(
    'bundle' => 'tokdesctst',
    'deleted' => 0,
    'description' => 'Image help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 6,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_image',
    'label' => 'Image',
    'required' => 1,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => '',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 9,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_image_multi'
  $field_instances['node-tokdesctst-field_tokdesctst_image_multi'] = array(
    'bundle' => 'tokdesctst',
    'deleted' => 0,
    'description' => 'Multiple images help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 15,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_image_multi',
    'label' => 'Multiple images',
    'required' => 1,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => '',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 10,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_integer_encoded'
  $field_instances['node-tokdesctst-field_tokdesctst_integer_encoded'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Integer with \'HTML\' "escaped" description: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 19,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_integer_encoded',
    'label' => 'Integer with \'HTML\' "escaped" label',
    'required' => 1,
    'settings' => array(
      'max' => 10,
      'min' => 1,
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 15,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_integer_multi'
  $field_instances['node-tokdesctst-field_tokdesctst_integer_multi'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple integers help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 14,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_integer_multi',
    'label' => 'Multiple integers',
    'required' => 1,
    'settings' => array(
      'max' => 10,
      'min' => 1,
      'prefix' => 'Integer prefix',
      'suffix' => 'Integer suffix',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_list_bool'
  $field_instances['node-tokdesctst-field_tokdesctst_list_bool'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => 'Boolean list help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_list_bool',
    'label' => 'Boolean list',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_list_text'
  $field_instances['node-tokdesctst-field_tokdesctst_list_text'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Text list help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 7,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_list_text',
    'label' => 'Text list',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_term'
  $field_instances['node-tokdesctst-field_tokdesctst_term'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Term reference help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 9,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_term',
    'label' => 'Term reference',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy',
      'settings' => array(
        'autocomplete_path' => 'taxonomy/autocomplete',
        'size' => 60,
      ),
      'type' => 'taxonomy_autocomplete',
      'weight' => 13,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_text'
  $field_instances['node-tokdesctst-field_tokdesctst_text'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Text help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_text',
    'label' => 'Text',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_text_multi'
  $field_instances['node-tokdesctst-field_tokdesctst_text_multi'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Multiple texts help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 11,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_text_multi',
    'label' => 'Multiple texts',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'node-tokdesctst-field_tokdesctst_textlong'
  $field_instances['node-tokdesctst-field_tokdesctst_textlong'] = array(
    'bundle' => 'tokdesctst',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Long text help: [current-date:short]',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 5,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_tokdesctst_textlong',
    'label' => 'Long text',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 1,
      ),
      'type' => 'text_textarea',
      'weight' => 3,
    ),
  );

  // Translatables

  return $field_instances;
}
